## AgsLv2Preset

AgsLv2Preset — LV2 presets

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_PRESET_GET_OBJ_MUTEX()
#define | AGS_LV2_PORT_PRESET()
AgsLv2PortPreset * | ags_lv2_port_preset_alloc ()
void | ags_lv2_port_preset_free ()
void | ags_lv2_preset_parse_turtle ()
GList * | ags_lv2_preset_find_preset_uri ()
GList * | ags_lv2_preset_find_preset_label ()
AgsLv2Preset * | ags_lv2_preset_new ()

## Properties

char * | applies-to | Read / Write
char * | bank | Read / Write
AgsLv2Plugin * | lv2-plugin | Read / Write
AgsTurtle * | manifest | Read / Write
gpointer | port-preset | Read
char * | preset-label | Read / Write
AgsTurtle * | turtle | Read / Write
char * | uri | Read / Write

## Types and Values

struct | AgsLv2PortPreset

## Object Hierarchy

        GObject
        ╰── AgsLv2Preset

## Includes

    #include <ags/plugin/ags_lv2_preset.h>

## Description

The AgsLv2Preset handles LV2 presets mapped to a bank.

## Functions

### AGS_LV2_PRESET_GET_OBJ_MUTEX()

    #define AGS_LV2_PRESET_GET_OBJ_MUTEX(obj) (&(((AgsLv2Preset *) obj)->obj_mutex))

### AGS_LV2_PORT_PRESET()

    #define AGS_LV2_PORT_PRESET(ptr) ((AgsLv2PortPreset*)(ptr))

### ags_lv2_port_preset_alloc ()

    AgsLv2PortPreset *
    ags_lv2_port_preset_alloc (gchar *port_symbol,
                               GType port_type);

Allocated AgsLv2PortPreset.

#### Parameters

port_symbol | the port symbol |
port_type | the port type |

#### Returns

the new AgsLv2PortPreset.

[type gpointer][transfer none]

Since: 3.0.0

### ags_lv2_port_preset_free ()

    void
    ags_lv2_port_preset_free (AgsLv2PortPreset *lv2_port_preset);

Free `lv2_port_preset` .

#### Parameters

lv2_port_preset | the AgsLv2PortPreset. | [type gpointer][transfer none]

Since: 3.0.0

### ags_lv2_preset_parse_turtle ()

    void
    ags_lv2_preset_parse_turtle (AgsLv2Preset *lv2_preset);

Parse `lv2_preset` .

#### Parameters

lv2_preset | the AgsLv2Preset |

Since: 3.0.0

### ags_lv2_preset_find_preset_uri ()

    GList *
    ags_lv2_preset_find_preset_uri (GList *lv2_preset,
                                    gchar *preset_uri);

Find `preset_uri` within `lv2_preset` .

#### Parameters

lv2_preset | the GList containing AgsLv2Preset. | [element-type AgsAudio.Lv2Preset][transfer none]
preset_uri | the preset URI |

#### Returns

the matching GList containing AgsLv2Preset.

[element-type AgsAudio.Lv2Preset][transfer none]

Since: 3.0.0

### ags_lv2_preset_find_preset_label ()

    GList *
    ags_lv2_preset_find_preset_label (GList *lv2_preset,
                                      gchar *preset_label);

Find `preset_label` within `lv2_preset` .

#### Parameters

lv2_preset | the GList containing AgsLv2Preset. | [element-type AgsAudio.Lv2Preset][transfer none]
preset_label | the preset label |

#### Returns

the matching GList containing AgsLv2Preset.

[element-type AgsAudio.Lv2Preset][transfer none]

Since: 3.0.0

### ags_lv2_preset_new ()

    AgsLv2Preset *
    ags_lv2_preset_new (GObject *lv2_plugin,
                        AgsTurtle *turtle,
                        gchar *uri);

Create a new instance of AgsLv2Preset.

#### Parameters

lv2_plugin | an AgsLv2Plugin |
turtle | the AgsTurtle |
uri | the URI as string |

#### Returns

the new AgsLv2Preset

Since: 3.0.0

## Types and Values

### struct AgsLv2PortPreset

    struct AgsLv2PortPreset {
      gchar *port_symbol;

      GValue *port_value;
    };

## Property Details

### The `“applies-to”` property

      “applies-to”               char *

The assigned applies to.

Owner: AgsLv2Preset

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“bank”` property

      “bank”                     char *

The assigned bank.

Owner: AgsLv2Preset

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“lv2-plugin”` property

      “lv2-plugin”               AgsLv2Plugin *

The assigned lv2 plugin.

Owner: AgsLv2Preset

Flags: Read / Write

Since: 3.0.0

### The `“manifest”` property

      “manifest”                 AgsTurtle *

The assigned manifest.

Owner: AgsLv2Preset

Flags: Read / Write

Since: 3.0.0

### The `“port-preset”` property

      “port-preset”              gpointer

The port preset.

Owner: AgsLv2Preset

Flags: Read

Since: 3.0.0

### The `“preset-label”` property

      “preset-label”             char *

The preset label.

Owner: AgsLv2Preset

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“turtle”` property

      “turtle”                   AgsTurtle *

The assigned turtle.

Owner: AgsLv2Preset

Flags: Read / Write

Since: 3.0.0

### The `“uri”` property

      “uri”                      char *

The assigned uri.

Owner: AgsLv2Preset

Flags: Read / Write

Default value: NULL

Since: 3.0.0